classification
Title: NetBSD curses KEY_* constants
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder: Make curses compiling on NetBSD 7.1 and tests passing
View: 31891
Assigned To: Nosy List: bgreen, gregory.p.smith, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2010-08-24 10:15 by bgreen, last changed 2017-11-01 18:16 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
_cursesmodule.c.diff gregory.p.smith, 2011-03-15 15:58 patch from bgreen against 2.7.1
Messages (4)
msg114774 - (view) Author: Bill Green (bgreen) Date: 2010-08-24 10:15
_cursesmodule.c provides a list of constants, prefixed with KEY_, corresponding to special keys (KEY_DOWN, KEY_LEFT, KEY_BACKSPACE, etc.). A portion of the function init_curses, which implements these, is #defined out on NetBSD (at line 2860 in Python 2.7).  PyCurses_KeyName, which seems related (line 2111) is also not compiled on NetBSD.  This is presumably because NetBSD's libcurses doesn't provide this functionality.

These functions work when _cursesmodule.c is linked to ncurses rather than BSD curses. Could the preprocessor directives be changed to omit these functions only if the platform is NetBSD AND ncurses is not being used?
msg130941 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-03-15 01:34
I don't think we have any committers who run NetBDS.  Can you attach your patch here?  I take it the other NetBSD checks are still required?
msg136052 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2011-05-15 22:44
unassigning, i don't have time to tackle netbsd issues right now.
msg305389 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-01 18:16
Currently the default curses library on NetBSD provides all guarded functions. All these guards no longer needed. And they were removed in issue31891.
History
Date User Action Args
2017-11-01 18:16:08serhiy.storchakasetstatus: open -> closed

superseder: Make curses compiling on NetBSD 7.1 and tests passing

nosy: + serhiy.storchaka
messages: + msg305389
resolution: out of date
stage: resolved
2011-06-01 06:31:42terry.reedysetversions: - Python 2.6, Python 2.5, Python 3.1
2011-05-15 22:44:34gregory.p.smithsetassignee: gregory.p.smith ->
messages: + msg136052
2011-03-15 15:58:37gregory.p.smithsetfiles: + _cursesmodule.c.diff
assignee: gregory.p.smith

keywords: + patch
nosy: + gregory.p.smith
2011-03-15 01:34:45r.david.murraysetnosy: + r.david.murray
messages: + msg130941
2010-08-24 10:15:13bgreencreate